<p style="text-align: center;"><strong>V.1.12.0</strong></p>
<p>Chaque fonctionnalit&eacute; d&eacute;taille :</p>
<ul>
<li>le type de m&eacute;thode http</li>
<li>le ou les param&egrave;tres attendus</li>
<li>l'url &agrave; employer</li>
</ul>
<hr />
<p></p>
<p><strong>S'authentifier</strong></p>
<p>method POST<br />param login &amp; mdp<br /><a> url : </a><a href="http://ws-gsb.com/api/login">http://ws-gsb.com/api/login</a></p>
<hr />
<p><b>Obtenir (retourne) les &eacute;tats possible d'une fiche de frais</b><br />method GET<br /><a>url : </a><a href="http://ws-gsb.com/api/etat">http://ws-gsb.com/api/etat</a></p>
<p><strong><b>Obtenir (retourne)</b> un &eacute;tat &agrave; partir d'un type d'&eacute;tat</strong><br />method GET<br /><a>url : </a><a href="http://ws-gsb.com/api/etat/typeEtat">http://ws-gsb.com/api/etat/typeEtat</a></p>
<hr />
<p><strong><b>Obtenir (retourne)</b> l'ensemble des fiches de frais du visiteur connect&eacute;</strong><br />method GET<br /><a>url : </a><a href="http://ws-gsb.com/api/fichefrais">http://ws-gsb.com/api/fichefrais</a></p>
<p><b>Obtenir (retourne)</b> <strong>une fiche de frais &agrave; partir d'un id de fiche de frais [visiteur</strong> <strong>connect&eacute;])</strong><br />method GET<br /><a>url : </a><a href="http://ws-gsb.com/api/fichefrais/idFicheFrais">http://ws-gsb.com/api/fichefrais/idFicheFrais</a></p>
<p><b>Ajouter une fiche de frais&nbsp;</b><br />method POST<br />param moisAnnee<br /><a>url : </a><a href="http://ws-gsb.com/api/fichefrais">http://ws-gsb.com/api/fichefrais</a></p>
<p><strong>Modifier une fiche de frais [profil comptable])</strong><br />method PUT<br />param nbJustificatifs &amp; montantValide &amp; idEtat<br /><a>url : </a><a href="http://ws-gsb.com/api/fichefrais">http://ws-gsb.com/api/fichefrais</a></p>
<hr />
<p><b>Obtenir (retourne)</b> <strong>la liste des frais forfaitaires</strong><br />method GET<br /><a>url : </a><a href="http://ws-gsb.com/api/fraisforfait">http://ws-gsb.com/api/fraisforfait</a></p>
<p><b>Obtenir (retourne) les lignes&nbsp;</b> <strong>de frais forfait &agrave; partir d'un id fiche frais</strong><br />method GET<br /><a>url : </a><a href="http://ws-gsb.com/api/lignefraisforfait/idFicheFrais">http://ws-gsb.com/api/lignefraisforfait/idFicheFrais</a></p>
<p><strong>Modifier une ligne de frais forfait &agrave; partir d'un id de fiche de frais</strong><br />method PUT<br />param quantite &amp; idFraisForfait<br />url : <a href="http://ws-gsb.com/api/lignefraisforfait/idFicheFrais">http://ws-gsb.com/api/lignefraisforfait/idFicheFrais</a></p>
<hr />
<p><b>Obtenir (retourne)&nbsp;</b><strong> les lignes de frais hors forfait d'une fiche de frais</strong><br />method GET<br /><a>url : </a><a href="http://ws-gsb.com/api/lignefraishorsforfait/idFicheFrais">http://ws-gsb.com/api/lignefraishorsforfait/idFicheFrais</a></p>
<p><strong>Supprimer une ligne de frais hors forfait &agrave; partir d'un identifiant de ligne de frais hors forfait)</strong><br />method DELETE<br /><a>url : </a><a href="http://ws-gsb.com/api/lignefraishorsforfait/idFraisHorsForfait">http://ws-gsb.com/api/lignefraishorsforfait/idFraisHorsForfait</a></p>
<p></p>